[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
08-perl-is-not-sh.patch
From: |
Akim Demaille |
Subject: |
08-perl-is-not-sh.patch |
Date: |
Tue, 06 Mar 2001 08:35:04 +0100 |
I *love* query-replace patches, there are not enough of this sort :)
Index: ChangeLog
from Akim Demaille <address@hidden>
* automake.in: Backquote is inert in double quotes.
Index: Makefile.am
--- Makefile.am Mon, 05 Mar 2001 22:33:22 +0100 akim (am/f/46_Makefile.a 1.15
644)
+++ Makefile.am Tue, 06 Mar 2001 00:48:18 +0100 akim (am/f/46_Makefile.a 1.15
644)
@@ -75,22 +75,19 @@
## is a shell construct, not a Makefile construct.
## The backslash in `$${' is needed for some versions of bash.
@if fgrep '\$${' $(srcdir)/[a-z]*.am | \
- fgrep -v '$$$$' | \
- grep . ; then \
+ fgrep -v '$$$$'; then \
echo "Found too many uses of '\$${' in the lines above." 1>&2; \
exit 1; \
else :; fi
## Make sure all invocations of mkinstalldirs are correct.
@if fgrep -n 'mkinstalldirs' $(srcdir)/[a-z]*.am | \
- fgrep -v '$$(mkinstalldirs)' | \
- grep . ; then \
+ fgrep -v '$$(mkinstalldirs)'; then \
echo "Found incorrect use of mkinstalldirs in the lines above" 1>&2; \
exit 1; \
else :; fi
## We never want to use "undef", only "delete", but for $/.
@if grep -n -w undef $(srcdir)/automake.in | \
- fgrep -v 'undef $$/' | \
- grep . ; then \
+ fgrep -v 'undef $$/'; then \
echo "Found undef in automake.in; use delete instead" 1>&2; \
exit 1; \
fi
Index: Makefile.in
--- Makefile.in Mon, 05 Mar 2001 22:33:22 +0100 akim (am/h/16_Makefile.i 1.37
644)
+++ Makefile.in Tue, 06 Mar 2001 00:48:20 +0100 akim (am/h/16_Makefile.i 1.37
644)
@@ -623,20 +623,17 @@
$(PERL) -c -w automake
$(PERL) -c -w aclocal
@if fgrep '\$${' $(srcdir)/[a-z]*.am | \
- fgrep -v '$$$$' | \
- grep . ; then \
+ fgrep -v '$$$$'; then \
echo "Found too many uses of '\$${' in the lines above." 1>&2; \
exit 1; \
else :; fi
@if fgrep -n 'mkinstalldirs' $(srcdir)/[a-z]*.am | \
- fgrep -v '$$(mkinstalldirs)' | \
- grep . ; then \
+ fgrep -v '$$(mkinstalldirs)'; then \
echo "Found incorrect use of mkinstalldirs in the lines above" 1>&2; \
exit 1; \
else :; fi
@if grep -n -w undef $(srcdir)/automake.in | \
- fgrep -v 'undef $$/' | \
- grep . ; then \
+ fgrep -v 'undef $$/'; then \
echo "Found undef in automake.in; use delete instead" 1>&2; \
exit 1; \
fi
Index: automake.in
--- automake.in Tue, 06 Mar 2001 00:39:56 +0100 akim (am/f/39_automake.i 1.116
755)
+++ automake.in Tue, 06 Mar 2001 00:49:37 +0100 akim (am/f/39_automake.i 1.116
755)
@@ -163,36 +163,36 @@
# FIXME: should just put this into a single file.
my %obsolete_macros =
(
- 'AC_FEATURE_CTYPE', "use \`AC_HEADER_STDC'",
- 'AC_FEATURE_ERRNO', "add \`strerror' to \`AC_REPLACE_FUNCS(...)'",
- 'AC_FEATURE_EXIT', '',
- 'AC_SYSTEM_HEADER', '',
+ 'AC_FEATURE_CTYPE' => "use `AC_HEADER_STDC'",
+ 'AC_FEATURE_ERRNO' => "add `strerror' to
`AC_REPLACE_FUNCS(...)'",
+ 'AC_FEATURE_EXIT' => '',
+ 'AC_SYSTEM_HEADER' => '',
# Note that we do not handle this one, because it is still run
# from AM_CONFIG_HEADER. So we deal with it specially in
# &scan_autoconf_files.
- # 'AC_CONFIG_HEADER', "use \`AM_CONFIG_HEADER'",
+ # 'AC_CONFIG_HEADER' => "use `AM_CONFIG_HEADER'",
- 'fp_C_PROTOTYPES', "use \`AM_C_PROTOTYPES'",
- 'fp_PROG_CC_STDC', "use \`AM_PROG_CC_STDC'",
- 'fp_PROG_INSTALL', "use \`AC_PROG_INSTALL'",
- 'fp_WITH_DMALLOC', "use \`AM_WITH_DMALLOC'",
- 'fp_WITH_REGEX', "use \`AM_WITH_REGEX'",
- 'gm_PROG_LIBTOOL', "use \`AM_PROG_LIBTOOL'",
- 'jm_MAINTAINER_MODE', "use \`AM_MAINTAINER_MODE'",
- 'md_TYPE_PTRDIFF_T', "use \`AM_TYPE_PTRDIFF_T'",
- 'ud_PATH_LISPDIR', "use \`AM_PATH_LISPDIR'",
- 'ud_GNU_GETTEXT', "use \`AM_GNU_GETTEXT'",
+ 'fp_C_PROTOTYPES' => "use `AM_C_PROTOTYPES'",
+ 'fp_PROG_CC_STDC' => "use `AM_PROG_CC_STDC'",
+ 'fp_PROG_INSTALL' => "use `AC_PROG_INSTALL'",
+ 'fp_WITH_DMALLOC' => "use `AM_WITH_DMALLOC'",
+ 'fp_WITH_REGEX' => "use `AM_WITH_REGEX'",
+ 'gm_PROG_LIBTOOL' => "use `AM_PROG_LIBTOOL'",
+ 'jm_MAINTAINER_MODE' => "use `AM_MAINTAINER_MODE'",
+ 'md_TYPE_PTRDIFF_T' => "use `AM_TYPE_PTRDIFF_T'",
+ 'ud_PATH_LISPDIR' => "use `AM_PATH_LISPDIR'",
+ 'ud_GNU_GETTEXT' => "use `AM_GNU_GETTEXT'",
# Now part of autoconf proper, under a different name.
- 'AM_FUNC_FNMATCH', "use \`AC_FUNC_FNMATCH'",
- 'fp_FUNC_FNMATCH', "use \`AC_FUNC_FNMATCH'",
- 'AM_SANITY_CHECK_CC', "automatically done by \`AC_PROG_CC'",
- 'AM_PROG_INSTALL', "use \`AC_PROG_INSTALL'",
- 'AM_EXEEXT', "use \`AC_EXEEXT'",
- 'AM_CYGWIN32', "use \`AC_CYGWIN'",
- 'AM_MINGW32', "use \`AC_MINGW32'",
- 'AM_FUNC_MKTIME', "use \`AC_FUNC_MKTIME'",
+ 'AM_FUNC_FNMATCH' => "use `AC_FUNC_FNMATCH'",
+ 'fp_FUNC_FNMATCH' => "use `AC_FUNC_FNMATCH'",
+ 'AM_SANITY_CHECK_CC' => "automatically done by `AC_PROG_CC'",
+ 'AM_PROG_INSTALL' => "use `AC_PROG_INSTALL'",
+ 'AM_EXEEXT' => "use `AC_EXEEXT'",
+ 'AM_CYGWIN32' => "use `AC_CYGWIN'",
+ 'AM_MINGW32' => "use `AC_MINGW32'",
+ 'AM_FUNC_MKTIME' => "use `AC_FUNC_MKTIME'",
# These aren't quite obsolete.
# 'md_PATH_PROG',
@@ -831,7 +831,7 @@ sub initialize_per_input ()
# Do configure.ac scan only once.
&scan_autoconf_files;
-die "$me: no \`Makefile.am' found or specified\n"
+die "$me: no `Makefile.am' found or specified\n"
if ! @input_files;
# Now do all the work on each file.
@@ -842,7 +842,7 @@ sub initialize_per_input ()
{
if (! -f ($am_file . '.am'))
{
- &am_error ("\`" . $am_file . ".am' does not exist");
+ &am_error ("`" . $am_file . ".am' does not exist");
}
else
{
@@ -962,7 +962,7 @@ sub parse_arguments ()
# automake input file is found. Maybe not the best way, but
# it is easy to explain.
$input =~ s/\.in$//
- or die "$me: invalid input file name \`$arg'\n.";
+ or die "$me: invalid input file name `$arg'\n.";
}
push (@input_files, $input);
$output_files{$input} = join (':', ($local, @rest));
@@ -1214,7 +1214,7 @@ sub handle_options
else
{
&am_line_error ('AUTOMAKE_OPTIONS',
- "option \`" . $_ . "\' not recognized");
+ "option `" . $_ . "\' not recognized");
}
}
}
@@ -1299,7 +1299,7 @@ sub get_object_extension
if (! $am_c_prototypes)
{
&am_line_error ('AUTOMAKE_OPTIONS',
- "option \`ansi2knr' in use but
\`AM_C_PROTOTYPES' not in \`$configure_ac'");
+ "option `ansi2knr' in use but `AM_C_PROTOTYPES'
not in `$configure_ac'");
&keyed_aclocal_warning ('AM_C_PROTOTYPES');
# Only give this error once.
$am_c_prototypes = 1;
@@ -1411,7 +1411,7 @@ sub finish_languages
# FIXME: Using cygpath should be somehow conditional.
$output_rules .= (".$ext.obj:\n"
. $full
- . " \`cygpath -w \$<\`\n");
+ . " `cygpath -w \$<`\n");
$output_rules .= (".$ext.lo:\n"
. "\t\$(LT"
. $language_map{"$lang-compiler-name"}
@@ -1561,7 +1561,7 @@ sub check_libobjs_sources
if (defined $libsources{$file})
{
&am_line_error ($prefix . $one_file . '_SOURCES',
- "automatically discovered file \`$file' should
not be explicitly mentioned");
+ "automatically discovered file `$file' should
not be explicitly mentioned");
}
}
}
@@ -1593,7 +1593,7 @@ sub handle_single_transform_list ($$$@)
# Configure substitutions in _SOURCES variables are errors.
if (/address@hidden@$/)
{
- &am_line_error ($var, "$var includes configure substitution
\`$_'");
+ &am_line_error ($var, "$var includes configure substitution `$_'");
next;
}
@@ -1742,7 +1742,7 @@ sub handle_single_transform_list ($$$@)
{
if ($object_map{$object} ne $full)
{
- &am_error ("object \`$object' created by \`$full' and
\`$object_map{$object}'");
+ &am_error ("object `$object' created by `$full' and
`$object_map{$object}'");
}
}
else
@@ -1771,7 +1771,7 @@ sub handle_single_transform_list ($$$@)
# the .deps entry.
if ($object =~ /(\/|^)\.\.\//)
{
- &am_error ("\`$full' contains \`..' component but should
not");
+ &am_error ("`$full' contains `..' component but should
not");
}
push (@dep_list, $directory . '/.dirstamp');
@@ -1813,7 +1813,7 @@ sub handle_single_transform_list ($$$@)
# We cannot use $< here since this is an explicit
# rule and not all makes handle that.
- $rule .= " \`test -f $full || echo '\$(srcdir)/'\`$full";
+ $rule .= " `test -f $full || echo '\$(srcdir)/'`$full";
# FIXME: handle .lo and .obj as well.
$output_rules .= "\t" . $rule . "\n";
@@ -2013,13 +2013,13 @@ sub handle_lib_objects_cond
{
# Skip -dlopen and -dlpreopen; these are explicitly allowed.
next if $lsearch =~ /^-dl(pre)?open$/;
- &am_line_error ($var, "linker flags such as \`$lsearch' belong
in \`${1}LDFLAGS");
+ &am_line_error ($var, "linker flags such as `$lsearch' belong
in `${1}LDFLAGS");
}
else
{
# Only get this error once.
$flagvar = 1;
- &am_line_error ($var, "linker flags such as \`$lsearch' belong
in \`${1}LDFLAGS");
+ &am_line_error ($var, "linker flags such as `$lsearch' belong
in `${1}LDFLAGS");
}
}
@@ -2043,7 +2043,7 @@ sub handle_lib_objects_cond
if (! keys %libsources
&& ! &variable_defined ($1 . 'LIBOBJS'))
{
- &am_line_error ($var, "address@hidden" . "LIBOBJS\@ seen but
never set in \`$configure_ac'");
+ &am_line_error ($var, "address@hidden" . "LIBOBJS\@ seen but
never set in `$configure_ac'");
}
foreach my $iter (keys %libsources)
@@ -2082,7 +2082,7 @@ sub handle_lib_objects_cond
push (@dep_list, $lsearch);
&am_line_error ($var,
- "address@hidden" . "ALLOCA\@ seen but
\`AC_FUNC_ALLOCA' not in \`$configure_ac'")
+ "address@hidden" . "ALLOCA\@ seen but
`AC_FUNC_ALLOCA' not in `$configure_ac'")
if ! defined $libsources{'alloca.c'};
$dep_files{'$(DEPDIR)/alloca.P' . $myobjext} = 1;
&require_file_with_line ($var, $FOREIGN, 'alloca.c');
@@ -2119,8 +2119,8 @@ sub check_canonical_spelling
foreach my $xt (@suffixes)
{
&am_line_error ($name . $xt,
- "invalid variable \`" . $name . $xt
- . "'; should be \`" . $xname . $xt . "'")
+ "invalid variable `" . $name . $xt
+ . "'; should be `" . $xname . $xt . "'")
if &variable_defined ($name . $xt);
}
}
@@ -2197,7 +2197,7 @@ sub handle_programs
if (&variable_defined ($xname . '_LIBADD'))
{
&am_line_error ($xname . '_LIBADD',
- "use \`" . $xname . "_LDADD', not \`"
+ "use `" . $xname . "_LDADD', not `"
. $xname . "_LIBADD'");
}
@@ -2265,7 +2265,7 @@ sub handle_libraries
{
if (&variable_defined ($key . '_LIBRARIES'))
{
- &am_line_error ($key . '_LIBRARIES', "library used but
\`RANLIB' not defined in \`$configure_ac'");
+ &am_line_error ($key . '_LIBRARIES', "library used but `RANLIB'
not defined in `$configure_ac'");
# Only get this error once. If this is ever printed,
# we have a bug.
$configure_vars{'RANLIB'} = 'BUG';
@@ -2282,7 +2282,7 @@ sub handle_libraries
{
# FIXME should put line number here. That means mapping
# from library name back to variable name.
- &am_error ("\`$onelib' is not a standard library name");
+ &am_error ("`$onelib' is not a standard library name");
}
my $obj = &get_object_extension ($onelib);
@@ -2314,7 +2314,7 @@ sub handle_libraries
if (&variable_defined ($xlib . '_LDADD'))
{
&am_line_error ($xlib . '_LDADD',
- "use \`" . $xlib . "_LIBADD', not \`"
+ "use `" . $xlib . "_LIBADD', not `"
. $xlib . "_LDADD'");
}
@@ -2364,7 +2364,7 @@ sub handle_ltlibraries
{
if (!$seen_libtool)
{
- &am_line_error ($key . '_LTLIBRARIES', "library used but
\`LIBTOOL' not defined in \`$configure_ac'");
+ &am_line_error ($key . '_LTLIBRARIES', "library used but
`LIBTOOL' not defined in `$configure_ac'");
# Only get this error once. If this is ever printed,
# we have a bug.
$configure_vars{'LIBTOOL'} = 'BUG';
@@ -2376,7 +2376,7 @@ sub handle_ltlibraries
{
if ($instdirs{$_})
{
- &am_error ("\`$_' is already going to be installed in
\`$instdirs{$_}'");
+ &am_error ("`$_' is already going to be installed in
`$instdirs{$_}'");
}
else
{
@@ -2419,7 +2419,7 @@ sub handle_ltlibraries
# FIXME this should only be a warning for foreign packages
# FIXME should put line number here. That means mapping
# from library name back to variable name.
- &am_error ("\`$onelib' is not a standard libtool library name");
+ &am_error ("`$onelib' is not a standard libtool library name");
}
if (&variable_defined ($xlib . '_LIBADD'))
@@ -2439,7 +2439,7 @@ sub handle_ltlibraries
if (&variable_defined ($xlib . '_LDADD'))
{
&am_line_error ($xlib . '_LDADD',
- "use \`" . $xlib . "_LIBADD', not \`"
+ "use `" . $xlib . "_LIBADD', not `"
. $xlib . "_LDADD'");
}
@@ -2508,7 +2508,7 @@ sub check_typos
if ($varname =~ /$primary$/ && ! $content_seen{$varname})
{
&am_line_error ($varname,
- "invalid unused variable name: \`$varname'");
+ "invalid unused variable name: `$varname'");
}
}
}
@@ -2569,7 +2569,7 @@ sub scan_texinfo_file
my $texi = new IO::File ("< $filename");
if (! $texi)
{
- &am_error ("couldn't open \`$filename': $!");
+ &am_error ("couldn't open `$filename': $!");
return '';
}
print "$me: reading $filename\n" if $verbose;
@@ -2583,7 +2583,7 @@ sub scan_texinfo_file
if ($outfile =~ /\.(.+)$/ && $1 ne 'info')
{
&am_file_error ($filename, "$.: ",
- "output \`$outfile' has unrecognized extension");
+ "output `$outfile' has unrecognized extension");
return;
}
}
@@ -2606,7 +2606,7 @@ sub scan_texinfo_file
if ($outfile eq '')
{
- &am_error ("\`$filename' missing address@hidden");
+ &am_error ("`$filename' missing address@hidden");
return;
}
@@ -2624,7 +2624,7 @@ sub scan_texinfo_file
sub handle_texinfo
{
&am_line_error ('TEXINFOS',
- "\`TEXINFOS' is an anachronism; use \`info_TEXINFOS'")
+ "`TEXINFOS' is an anachronism; use `info_TEXINFOS'")
if &variable_defined ('TEXINFOS');
return if (! &variable_defined ('info_TEXINFOS')
&& ! &variable_defined ('html_TEXINFOS'));
@@ -2653,7 +2653,7 @@ sub handle_texinfo
if ($infobase eq $info_cursor)
{
# FIXME: report line number.
- &am_error ("texinfo file \`$info_cursor' has unrecognized
extension");
+ &am_error ("texinfo file `$info_cursor' has unrecognized
extension");
next;
}
$texi_suffixes{$1} = 1;
@@ -2667,7 +2667,7 @@ sub handle_texinfo
if ($vtexi)
{
- &am_error ("\`$vtexi', included in \`$info_cursor', also included
in \`$versions{$vtexi}'")
+ &am_error ("`$vtexi', included in `$info_cursor', also included in
`$versions{$vtexi}'")
if (defined $versions{$vtexi});
$versions{$vtexi} = $info_cursor;
@@ -2811,7 +2811,7 @@ sub handle_texinfo
# Handle any man pages.
sub handle_man_pages
{
- &am_line_error ('MANS', "\`MANS' is an anachronism; use \`man_MANS'")
+ &am_line_error ('MANS', "`MANS' is an anachronism; use `man_MANS'")
if &variable_defined ('MANS');
# Find all the sections in use. We do this by first looking for
@@ -2911,7 +2911,7 @@ sub handle_tags
elsif (&variable_defined ('TAGS_DEPENDENCIES'))
{
&am_line_error ('TAGS_DEPENDENCIES',
- "doesn't make sense to define \`TAGS_DEPENDENCIES'
without sources or \`ETAGS_ARGS'");
+ "doesn't make sense to define `TAGS_DEPENDENCIES'
without sources or `ETAGS_ARGS'");
}
else
{
@@ -3271,7 +3271,7 @@ sub handle_subdirs
next;
}
- &am_line_error ('SUBDIRS', "directory should not contain \`/'")
+ &am_line_error ('SUBDIRS', "directory should not contain `/'")
if $dir =~ /\//;
}
@@ -3567,7 +3567,7 @@ sub handle_configure
}
&am_line_error ('CONFIG_HEADER',
- "\`CONFIG_HEADER' is an anachronism; now determined from
\`$configure_ac'")
+ "`CONFIG_HEADER' is an anachronism; now determined from
`$configure_ac'")
if &variable_defined ('CONFIG_HEADER');
my $config_header = '';
@@ -3711,10 +3711,10 @@ sub handle_gettext
my @subdirs = &variable_value_as_list ('SUBDIRS', 'all');
&am_line_error ('SUBDIRS',
- "AM_GNU_GETTEXT used but \`po' not in SUBDIRS")
+ "AM_GNU_GETTEXT used but `po' not in SUBDIRS")
if ! grep ('po', @subdirs);
&am_line_error ('SUBDIRS',
- "AM_GNU_GETTEXT used but \`intl' not in SUBDIRS")
+ "AM_GNU_GETTEXT used but `intl' not in SUBDIRS")
if ! grep ('intl', @subdirs);
&require_file_with_conf_line ($ac_gettext_line, $GNU, 'ABOUT-NLS');
@@ -3732,20 +3732,20 @@ sub handle_gettext
s/\.po$//;
&am_line_error ($all_linguas_line,
- ("po/$_.po exists but \`$_' not in \`ALL_LINGUAS'"))
+ ("po/$_.po exists but `$_' not in `ALL_LINGUAS'"))
if ! $linguas{$_};
}
foreach (keys %linguas)
{
&am_line_error ($all_linguas_line,
- "$_ in \`ALL_LINGUAS' but po/$_.po does not exist")
+ "$_ in `ALL_LINGUAS' but po/$_.po does not exist")
if ! -f "po/$_.po";
}
}
else
{
- &am_error ("AM_GNU_GETTEXT in \`$configure_ac' but \`ALL_LINGUAS' not
defined");
+ &am_error ("AM_GNU_GETTEXT in `$configure_ac' but `ALL_LINGUAS' not
defined");
}
}
@@ -3772,7 +3772,7 @@ sub handle_footer
if (&target_defined ('.SUFFIXES'))
{
&am_line_error ('.SUFFIXES',
- "use variable \`SUFFIXES', not target \`.SUFFIXES'");
+ "use variable `SUFFIXES', not target `.SUFFIXES'");
}
# Note: AIX 4.1 /bin/make will fail if any suffix rule appears
@@ -3824,7 +3824,7 @@ sub handle_merge_targets
{
if (&variable_defined ($var))
{
- &am_line_error ($var, "\`$var' should not be defined");
+ &am_line_error ($var, "`$var' should not be defined");
}
}
@@ -4018,23 +4018,23 @@ sub handle_factored_dependencies
{
my $x = $utarg;
$x =~ s/(data|exec)-//;
- &am_line_error ($utarg, "use \`$x', not \`$utarg'");
+ &am_line_error ($utarg, "use `$x', not `$utarg'");
}
}
if (&target_defined ('install-local'))
{
&am_line_error ('install-local',
- "use \`install-data-local' or \`install-exec-local', "
- . "not \`install-local'");
+ "use `install-data-local' or `install-exec-local', "
+ . "not `install-local'");
}
if (!defined $options{'no-installinfo'}
&& &target_defined ('install-info-local'))
{
&am_line_error ('install-info-local',
- "\`install-info-local' target defined but "
- . "\`no-installinfo' option not in use");
+ "`install-info-local' target defined but "
+ . "`no-installinfo' option not in use");
}
# Install the -local hooks.
@@ -4115,7 +4115,7 @@ sub handle_tests
foreach my $c ('DEJATOOL', 'RUNTEST', 'RUNTESTFLAGS')
{
&am_line_error ($c,
- "\`$c' defined but \`dejagnu' not in
\`AUTOMAKE_OPTIONS'")
+ "`$c' defined but `dejagnu' not in
`AUTOMAKE_OPTIONS'")
if &variable_defined ($c);
}
}
@@ -4155,7 +4155,7 @@ sub handle_emacs_lisp
if (&variable_defined ('lisp_LISP'))
{
$varname = 'lisp_LISP';
- &am_error ("\`lisp_LISP' defined but \`AM_PATH_LISPDIR' not in
\`$configure_ac'")
+ &am_error ("`lisp_LISP' defined but `AM_PATH_LISPDIR' not in
`$configure_ac'")
if ! $seen_lispdir;
}
else
@@ -4178,7 +4178,7 @@ sub handle_python
&define_configure_variable ('pythondir');
&define_configure_variable ('PYTHON');
- &am_error ("\`python_PYTHON' defined but \`AM_CHECK_PYTHON' not in
\`$configure_ac'")
+ &am_error ("`python_PYTHON' defined but `AM_CHECK_PYTHON' not in
`$configure_ac'")
if ! $seen_pythondir && &variable_defined ('python_PYTHON');
if ($config_aux_dir eq '.' || $config_aux_dir eq '')
@@ -4245,7 +4245,7 @@ sub handle_minor_options
# FIXME: allow real filename.
&am_conf_line_error ($configure_ac,
$package_version_line,
- "version \`$package_version' doesn't
follow Gnits standards");
+ "version `$package_version' doesn't follow
Gnits standards");
}
elsif (defined $1 && -f 'README-alpha')
{
@@ -4320,7 +4320,7 @@ sub scan_autoconf_traces
my $tracefh = new IO::File ("$traces |");
if (! $tracefh)
{
- die "$me: couldn't open \`$traces': $!\n";
+ die "$me: couldn't open `$traces': $!\n";
}
print "$me: reading $traces\n" if $verbose;
@@ -4375,7 +4375,7 @@ sub scan_one_autoconf_file
my $configfh = new IO::File ("< $filename");
if (! $configfh)
{
- die "$me: couldn't open \`$filename': $!\n";
+ die "$me: couldn't open `$filename': $!\n";
}
print "$me: reading $filename\n" if $verbose;
@@ -4396,8 +4396,8 @@ sub scan_one_autoconf_file
if (/sinclude\((.*)\)/ && -f $1)
{
# $_ being local, if we don't preserve it, when coming
- # back we will have $_ = undef, which is bad for the
- # the rest of this routine.
+ # back $_ is undefined, which is bad for the the rest of
+ # this routine.
my $underscore = $_;
&scan_one_autoconf_file ($1);
$_ = $underscore;
@@ -4492,7 +4492,7 @@ sub scan_one_autoconf_file
{
$hint = '; ' . $obsolete_macros{$1};
}
- &am_conf_line_error ($filename, $., "\`$1' is obsolete$hint");
+ &am_conf_line_error ($filename, $., "`$1' is obsolete$hint");
}
# Process the AC_OUTPUT and AC_CONFIG_FILES macros.
@@ -4516,7 +4516,7 @@ sub scan_one_autoconf_file
if ($closing && @make_input_list == 0 && @other_input_files == 0)
{
&am_conf_line_error ($filename, $ac_output_line,
- "No files mentioned in \`AC_OUTPUT'");
+ "No files mentioned in `AC_OUTPUT'");
exit 1;
}
}
@@ -4567,7 +4567,7 @@ sub scan_one_autoconf_file
&& $2 ne '[$1]')
{
&am_conf_line_error
- ($filename, $., "\`automake requires \`AM_CONFIG_HEADER', not
\`AC_CONFIG_HEADER'")
+ ($filename, $., "`automake requires `AM_CONFIG_HEADER', not
`AC_CONFIG_HEADER'")
if $1 eq 'C';
$config_header_line = $.;
@@ -4618,11 +4618,11 @@ sub scan_one_autoconf_file
}
if (/AC_DECL_YYTEXT/ && $filename =~ /configure\.(ac|in)$/)
{
- &am_conf_line_warning ($filename, $., "\`AC_DECL_YYTEXT' is covered
by \`AM_PROG_LEX'");
+ &am_conf_line_warning ($filename, $., "`AC_DECL_YYTEXT' is covered
by `AM_PROG_LEX'");
}
if (/AC_PROG_LEX/ && $filename =~ /configure\.(ac|in)$/)
{
- &am_conf_line_warning ($filename, $., "automake requires
\`AM_PROG_LEX', not \`AC_PROG_LEX'");
+ &am_conf_line_warning ($filename, $., "automake requires
`AM_PROG_LEX', not `AC_PROG_LEX'");
}
if (/AC_PROG_(F77|YACC|RANLIB|CC|CXXCPP|CXX|LEX|AWK|CPP|LN_S)/)
@@ -4676,7 +4676,7 @@ sub scan_one_autoconf_file
# if (/AM_PROG_LIBTOOL/)
# {
- # &am_conf_line_warning ($filename, $., "\`AM_PROG_LIBTOOL' is
obsolete, use \`AC_PROG_LIBTOOL' instead");
+ # &am_conf_line_warning ($filename, $., "`AM_PROG_LIBTOOL' is
obsolete, use `AC_PROG_LIBTOOL' instead");
# }
$seen_libtool = 1;
$libtool_line = $.;
@@ -4718,14 +4718,14 @@ sub scan_autoconf_files
# that won't always be the case.
%libsources = ();
- warn "$me: both \`configure.ac' and \`configure.in' present:"
- . " ignoring \`configure.in'\n"
+ warn "$me: both `configure.ac' and `configure.in' present:"
+ . " ignoring `configure.in'\n"
if -f 'configure.ac' && -f 'configure.in';
$configure_ac = 'configure.in'
if -f 'configure.in';
$configure_ac = 'configure.ac'
if -f 'configure.ac';
- die "$me: \`configure.ac' or \`configure.in' is required\n"
+ die "$me: `configure.ac' or `configure.in' is required\n"
if !$configure_ac;
&scan_one_autoconf_file ($configure_ac);
@@ -4749,15 +4749,15 @@ sub scan_autoconf_files
@configure_input_files = @make_input_list;
- &am_conf_error ("\`AM_INIT_AUTOMAKE' must be used")
+ &am_conf_error ("`AM_INIT_AUTOMAKE' must be used")
if ! $seen_init_automake;
# Always require AC_PROG_MAKE_SET. We might randomly use $(MAKE)
# for our own reasons.
- &am_conf_error ("\`AC_PROG_MAKE_SET' must be used")
+ &am_conf_error ("`AC_PROG_MAKE_SET' must be used")
if ! $seen_make_set;
- &am_conf_error ("\`AC_PROG_INSTALL' must be used")
+ &am_conf_error ("`AC_PROG_INSTALL' must be used")
if ! $seen_prog_install;
# Look for some files we need. Always check for these. This
@@ -4768,7 +4768,7 @@ sub scan_autoconf_files
# My tests seems to show it's not the case.
$relative_dir = '.';
&require_config_file ($FOREIGN, 'install-sh', 'mkinstalldirs', 'missing');
- &am_error ("\`install.sh' is an anachronism; use \`install-sh' instead")
+ &am_error ("`install.sh' is an anachronism; use `install-sh' instead")
if -f $config_aux_path[0] . '/install.sh';
&require_config_file ($FOREIGN, 'py-compile')
@@ -4792,7 +4792,7 @@ sub check_cygnus
if (! $seen_maint_mode)
{
- &am_conf_error ("\`AM_MAINTAINER_MODE' required when --cygnus
specified");
+ &am_conf_error ("`AM_MAINTAINER_MODE' required when --cygnus
specified");
}
}
@@ -4806,19 +4806,18 @@ sub check_gnu_standards
'AUTHORS', 'ChangeLog');
}
- if ($strictness >= $GNU)
+ if ($strictness >= $GNU
+ && defined $options{'no-installman'})
{
- if (defined $options{'no-installman'})
- {
- &am_line_error ('AUTOMAKE_OPTIONS',
- "option \`no-installman' disallowed by GNU
standards");
- }
+ &am_line_error ('AUTOMAKE_OPTIONS',
+ "option `no-installman' disallowed by GNU standards");
+ }
- if (defined $options{'no-installinfo'})
- {
- &am_line_error ('AUTOMAKE_OPTIONS',
- "option \`no-installinfo' disallowed by GNU
standards");
- }
+ if ($strictness >= $GNU
+ && defined $options{'no-installinfo'})
+ {
+ &am_line_error ('AUTOMAKE_OPTIONS',
+ "option `no-installinfo' disallowed by GNU standards");
}
}
@@ -4860,7 +4859,7 @@ sub lang_c_rewrite
if (defined $options{'ansi2knr'} && $base =~ /_$/)
{
# FIXME: include line number in error.
- &am_error ("C source file \`$base.c' would be deleted by ansi2knr
rules");
+ &am_error ("C source file `$base.c' would be deleted by ansi2knr
rules");
}
my $r = $LANG_PROCESS;
@@ -4874,7 +4873,7 @@ sub lang_c_rewrite
# Only give error once.
$seen_cc_c_o = 1;
# FIXME: line number.
- &am_error ("C objects in subdir but \`AM_PROG_CC_C_O' not in
\`$configure_ac'");
+ &am_error ("C objects in subdir but `AM_PROG_CC_C_O' not in
`$configure_ac'");
}
&require_file ($FOREIGN, 'compile')
@@ -5062,7 +5061,7 @@ sub lang_c_finish
if (! defined $configure_vars{'CC'})
{
# FIXME: line number.
- &am_error ("C source seen but \`CC' not defined in \`$configure_ac'");
+ &am_error ("C source seen but `CC' not defined in `$configure_ac'");
}
}
@@ -5075,7 +5074,7 @@ sub lang_cxx_finish
if (! defined $configure_vars{'CXX'})
{
- &am_error ("C++ source seen but \`CXX' not defined in
\`$configure_ac'");
+ &am_error ("C++ source seen but `CXX' not defined in `$configure_ac'");
}
}
@@ -5150,12 +5149,12 @@ sub lang_yacc_finish
if (! defined $configure_vars{'YACC'})
{
- &am_error ("yacc source seen but \`YACC' not defined in
\`$configure_ac'");
+ &am_error ("yacc source seen but `YACC' not defined in
`$configure_ac'");
}
if (&variable_defined ('YACCFLAGS'))
{
&am_line_error ('YACCFLAGS',
- "\`YACCFLAGS' obsolete; use \`YFLAGS' instead");
+ "`YACCFLAGS' obsolete; use `YFLAGS' instead");
}
if ($yacc_count > 1)
@@ -5197,11 +5196,11 @@ sub lang_lex_finish
if (! defined $configure_vars{'LEX'})
{
- &am_error ("lex source seen but \`LEX' not defined in
\`$configure_ac'");
+ &am_error ("lex source seen but `LEX' not defined in `$configure_ac'");
}
if (! $seen_decl_yytext)
{
- &am_error ("lex source seen but \`AC_DECL_YYTEXT' not in
\`$configure_ac'");
+ &am_error ("lex source seen but `AC_DECL_YYTEXT' not in
`$configure_ac'");
}
if ($lex_count > 1)
@@ -5234,7 +5233,7 @@ sub lang_f77_finish
if (! defined $configure_vars{'F77'})
{
- &am_error ("Fortran 77 source seen but \`F77' not defined in
\`$configure_ac'");
+ &am_error ("Fortran 77 source seen but `F77' not defined in
`$configure_ac'");
}
}
@@ -5281,7 +5280,7 @@ sub lang_objc_finish
if (! defined $configure_vars{'OBJC'})
{
- &am_error ("Objective C source seen but \`OBJC' not defined in
\`$configure_ac'");
+ &am_error ("Objective C source seen but `OBJC' not defined in
`$configure_ac'");
}
}
@@ -5295,7 +5294,7 @@ sub lang_java_finish
if (! defined $configure_vars{'GCJ'})
{
- &am_error ("Java source seen but \`GCJ' not defined in
\`$configure_ac'");
+ &am_error ("Java source seen but `GCJ' not defined in `$configure_ac'");
}
}
@@ -5639,7 +5638,7 @@ sub variable_defined ($$)
return 1;
}
- &am_line_error ($var, "\`$var' is a target; expected a variable")
+ &am_line_error ($var, "`$var' is a target; expected a variable")
if defined $targets{$var};
return 0;
@@ -5698,7 +5697,7 @@ sub variable_conditions_sub
if (defined $vars_scanned{$var})
{
- &am_line_error ($parent, "variable \`$var' recursively defined");
+ &am_line_error ($parent, "variable `$var' recursively defined");
return ();
}
$vars_scanned{$var} = 1;
@@ -5989,18 +5988,18 @@ sub variable_value_as_list_worker
{
if (defined $targets{$var})
{
- &am_line_error ($var, "\`$var' is a target; expected a variable");
+ &am_line_error ($var, "`$var' is a target; expected a variable");
}
else
{
- &am_line_error ($parent, "variable \`$var' not defined");
+ &am_line_error ($parent, "variable `$var' not defined");
}
}
elsif (defined $vars_scanned{$var})
{
# `vars_scanned' is a global we use to keep track of which
# variables we've already examined.
- &am_line_error ($parent, "variable \`$var' recursively defined");
+ &am_line_error ($parent, "variable `$var' recursively defined");
}
elsif ($cond eq 'all' && $conditional{$var})
{
@@ -6078,7 +6077,7 @@ sub define_variable
elsif ($var_was_plus_eq{$var})
{
&am_line_error ($var,
- "internally generated variable \`$var' was set with
\`+='");
+ "internally generated variable `$var' was set with
`+='");
}
}
@@ -6173,7 +6172,7 @@ sub read_am_file
my $am_file = new IO::File ("< $amfile");
if (! $am_file)
{
- die "$me: couldn't open \`$amfile': $!\n";
+ die "$me: couldn't open `$amfile': $!\n";
}
print "$me: reading $amfile\n" if $verbose;
@@ -6455,7 +6454,7 @@ sub read_am_file
$saw_bk = /\\$/;
# Error if bogus.
- &am_line_error ($., "bad macro name \`$last_var_name'")
+ &am_line_error ($., "bad macro name `$last_var_name'")
if ! $is_ok_macro;
}
elsif (/$INCLUDE_PATTERN/o)
@@ -6665,7 +6664,7 @@ sub file_contents ($%)
my $fc_file = new IO::File ("< $file");
if (! $fc_file)
{
- die "$me: installation error: cannot open \`$file'\n";
+ die "$me: installation error: cannot open `$file'\n";
}
# Looks stupid?
print "$me: reading $file\n"
@@ -6781,7 +6780,7 @@ sub file_contents ($%)
elsif (/$MACRO_PATTERN/mso)
{
my ($var, $type, $val) = ($1, $2, $3);
- &prog_error ("$file:$.: macro \`$var' with trailing backslash")
+ &prog_error ("$file:$.: macro `$var' with trailing backslash")
if /\\$/;;
# Accumulating variables must not be output.
$am_var_defs{$var} = ''
@@ -6864,7 +6863,7 @@ sub am_primary_prefixes
# primary, so we explicitly allow it.
if (! defined $configure_vars{$varname})
{
- &am_line_error ($varname, "invalid variable \`$varname'");
+ &am_line_error ($varname, "invalid variable `$varname'");
}
}
else
@@ -6925,7 +6924,7 @@ sub am_install_var
# allow `JAVA', as it is customarily used to mean the Java
# interpreter. This is but one of several Java hacks. Similarly,
# `PYTHON' is customarily used to mean the Python interpreter.
- &am_line_error ($primary, "\`$primary' is an anachronism")
+ &am_line_error ($primary, "`$primary' is an anachronism")
if &variable_defined ($primary)
&& ($primary ne 'JAVA' && $primary ne 'PYTHON');
@@ -6989,7 +6988,7 @@ sub am_install_var
{
$warned_about_extra = 1;
&am_line_error ($one_name,
- "\`$one_name' contains configure
substitution, but shouldn't");
+ "`$one_name' contains configure
substitution, but shouldn't");
}
}
# Check here to make sure variables defined in
@@ -7121,7 +7120,7 @@ sub am_install_var
if ($require_extra && ! &variable_defined ('EXTRA_' . $primary))
{
&am_line_error ($require_extra,
- "\`$require_extra' contains configure substitution, but
\`EXTRA_$primary' not defined");
+ "`$require_extra' contains configure substitution, but
`EXTRA_$primary' not defined");
}
# Push here because PRIMARY might be configure time determined.
@@ -7272,7 +7271,7 @@ sub require_file_internal
# Only install missing files according to our desired
# strictness level.
- my $message = "required file \`$errfile' not found";
+ my $message = "required file `$errfile' not found";
if ($add_missing)
{
$suppress = 1;
@@ -7285,16 +7284,16 @@ sub require_file_internal
&& grep ($_ eq $file, @libtoolize_files)
&& system (@syslist))
{
- $message = "installing \`$errfile'";
+ $message = "installing `$errfile'";
$suppress = 0;
- $trailer = "; cannot run \`libtoolize': $!";
+ $trailer = "; cannot run `libtoolize': $!";
}
elsif (-f ($am_dir . '/' . $file))
{
# Install the missing file. Symlink if we
# can, copy if we must. Note: delete the file
# first, in case it is a dangling symlink.
- $message = "installing \`$errfile'";
+ $message = "installing `$errfile'";
# Windows Perl will hang if we try to delete a
# file that doesn't exist.
unlink ($errfile) if -f $errfile;
@@ -7441,7 +7440,7 @@ sub set_strictness
}
else
{
- die "$me: level \`$strictness_name' not recognized\n";
+ die "$me: level `$strictness_name' not recognized\n";
}
}
@@ -7590,7 +7589,7 @@ sub am_conf_line_warning
sub keyed_aclocal_warning
{
my ($key) = @_;
- warn "$me: macro \`$key' can be generated by \`aclocal'\n";
+ warn "$me: macro `$key' can be generated by `aclocal'\n";
}
# Print usage information.
- 08-perl-is-not-sh.patch,
Akim Demaille <=